<?php

if( ! function_exists( 'ksp_wp_facebook_pixel_metabox' ) ) {
    /**
     * Adds the Facebook Pixel meta box to all post types.
     */
    function ksp_wp_facebook_pixel_metabox() {
	    $metabox_name = 'metabox';
        
        $metabox_ID = PLUGIN_ID.'_'.$metabox_name;
        $prefix = $metabox_ID.'_';

		$cmb = new_cmb2_box( array(
			'id'               => $metabox_ID,
			'title'            => __( 'WP Facebook Pixel Post Settings', PLUGIN_ID ),
			'object_types'     => get_post_types(), // These fields should be placed on the POST object.
			'show_names'       => true,
        ));



        $cmb->add_field( array(
			'id'                => $prefix . 'event',
			'type'              => 'select',
            'name'              => __( 'Event', PLUGIN_ID ),
			'desc'              => __( 'Select the Facebook Standard Event.', PLUGIN_ID ),
			'show_option_none'  => true,
            'default'           => 'None',
            'options'           => array(
                'ViewContent'           => __('ViewContent', PLUGIN_ID ),
                'Search'                => __('Search', PLUGIN_ID ),
                'AddToCart'             => __('AddToCart', PLUGIN_ID ),
                'AddToWishlist'         => __('AddToWishlist', PLUGIN_ID ),
                'InitiateCheckout'      => __('InitiateCheckout', PLUGIN_ID ),
                'AddPaymentInfo'        => __('AddPaymentInfo', PLUGIN_ID ),
                'Purchase'              => __('Purchase', PLUGIN_ID ),
                'Lead'                  => __('Lead', PLUGIN_ID ),
                'CompleteRegistration'  => __('CompleteRegistration', PLUGIN_ID ),
            )
        ));


        $description = '';
        if(!class_exists( 'WooCommerce' )) {
            $description = '
                Set Value to "%JavaScript Global Variable Name%" or "?Query String Property Name?" to set value for a key dynamically.<br />
                Examples: %curCartTotal% or ?search-term?';

        } else {
            $description = '
                WP Facebook Pixel automatically adds Standard Events for the WooCommerce actions.<br />For more information, visit <a href="http://knightshiftproductions.azurewebsites.net/wp-facebook-pixel-woocommerce/" target="_blank">Our Integration Page</a><br />
                Set Value to "%JavaScript Global Variable Name%" or "?Query String Property Name?" to set value for a key dynamically.<br />
                Examples: %curCartTotal% or ?search-term?';
        }

        $group_field_id = $cmb->add_field( array(
            'id'            => $prefix . 'event_values',
            'type'          => 'group',
            'name'          => __( 'Event custom values', PLUGIN_ID ),
            'description'   => __( $description, PLUGIN_ID ),
            'options'       => array(
                'group_title'   => __( 'Value {#}', PLUGIN_ID ), // since version 1.1.4, {#} gets replaced by row number
                'add_button'    => __( 'Add Another Value', PLUGIN_ID ),
                'remove_button' => __( 'Remove Value', PLUGIN_ID ),
                'sortable'      => false,
                'closed'        => true,
            ),
        ) );

        // Id's for group's fields only need to be unique for the group. Prefix is not needed.
        $cmb->add_group_field( $group_field_id, array(
            'name' => 'Key',
            'id'   => 'key',
            'type' => 'text',
            // 'repeatable' => true, // Repeatable fields are supported w/in repeatable groups (for most types)
        ) );
        $cmb->add_group_field( $group_field_id, array(
            'name' => 'Value',
            'id'   => 'value',
            'type' => 'text',
            // 'repeatable' => true, // Repeatable fields are supported w/in repeatable groups (for most types)
        ) );

	}
}
add_action( 'cmb2_admin_init', PLUGIN_ID.'_metabox' );