<?php


if( ! function_exists( 'kspu_QuoteString' ) ) {
    /**
     * Adds single quote around a string value.
     * If input is numeric, no quotes are added.
     * 
     * @since 1.0.0
     * 
     * @param double|int|string $value Value to add quotes to if non-numeric.
     * @return double|int|string
     */
    function kspu_QuoteString( $value ) {
        if(is_numeric($value)) { return $value; }
        if(is_array($value)) { return json_encode($value); }
        else { return "'".$value."'"; }
    }
}


?>